
QGIS Application - Bug report #14801

fields defined Int or Real in Shapefiles

2016-05-10 07:26 AM - salvatore fiandaca

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.14.2 Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22758

Description

After restarting qgis fields defined Int or Real are seen as Integer64

(see immagine-102.jpg)

History

#1 - 2016-05-10 01:22 PM - Luigi Pirelli

just to be more clear, the supposed bug is related to shapefile format

#2 - 2016-05-11 12:05 AM - Saber Razmjooei

- File immagine-102.jpg added

- Subject changed from fields defined Int or Real to fields defined Int or Real in Shapefiles

#3 - 2016-06-07 07:57 AM - salvatore fiandaca

please, this problem has become serious.

the qgis processing does not recognize 'Integer64';

#4 - 2016-06-09 07:14 AM - magerlin -

Agree - It is a serious problem. Especially since lots of plugins cannot handle Integer64 - they think the fields are of type string. Group Stats is an example.

#5 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
